<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Syntax.VerbalPhrases</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier">norAgreement</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Syntax.VerbalPhrases.html#norNorkAgreement"><span class="hs-identifier">norNorkAgreement</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Syntax.Constituent.html"><span class="hs-identifier">Syntax.Constituent</span></a></span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-comment">-- | Update verbal constituent to agree with given nor constituent.</span><span>
</span><span id="line-8"></span><span class="annot"><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-type">norAgreement</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#VPConstituent"><span class="hs-identifier hs-type">VPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#VPConstituent"><span class="hs-identifier hs-type">VPConstituent</span></a></span><span>
</span><span id="line-9"></span><span id="norAgreement"><span class="annot"><span class="annottext">norAgreement :: NPConstituent -&gt; NPConstituent -&gt; NPConstituent
</span><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var hs-var">norAgreement</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679083011"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679083011"><span class="hs-identifier hs-var">norF</span></a></span></span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#VP"><span class="hs-identifier hs-type">VP</span></a></span><span> </span><span id="local-6989586621679083009"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679083009"><span class="hs-identifier hs-var">t</span></a></span></span><span> </span><span id="local-6989586621679083008"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083008"><span class="hs-identifier hs-var">vf</span></a></span></span><span> </span><span id="local-6989586621679083007"><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679083007"><span class="hs-identifier hs-var">cs</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-10"></span><span>  </span><span class="annot"><span class="annottext">[Tag] -&gt; VF -&gt; [NPConstituent] -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#VP"><span class="hs-identifier hs-var">VP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679083009"><span class="hs-identifier hs-var">t</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; VF -&gt; VF
</span><a href="Features.Verbal.html#norConcord"><span class="hs-identifier hs-var">norConcord</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679083011"><span class="hs-identifier hs-var">norF</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083008"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679083007"><span class="hs-identifier hs-var">cs</span></a></span><span>
</span><span id="line-11"></span><span class="annot"><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var">norAgreement</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679083003"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679083003"><span class="hs-identifier hs-var">norF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#VP"><span class="hs-identifier hs-type">VP</span></a></span><span> </span><span id="local-6989586621679083002"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679083002"><span class="hs-identifier hs-var">t</span></a></span></span><span> </span><span id="local-6989586621679083001"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083001"><span class="hs-identifier hs-var">vf</span></a></span></span><span> </span><span id="local-6989586621679083000"><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679083000"><span class="hs-identifier hs-var">cs</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-12"></span><span>  </span><span class="annot"><span class="annottext">[Tag] -&gt; VF -&gt; [NPConstituent] -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#VP"><span class="hs-identifier hs-var">VP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679083002"><span class="hs-identifier hs-var">t</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; VF -&gt; VF
</span><a href="Features.Verbal.html#norConcord"><span class="hs-identifier hs-var">norConcord</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679083003"><span class="hs-identifier hs-var">norF</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679083001"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679083000"><span class="hs-identifier hs-var">cs</span></a></span><span>
</span><span id="line-13"></span><span class="annot"><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var">norAgreement</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082999"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082999"><span class="hs-identifier hs-var">norF</span></a></span></span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span id="local-6989586621679082998"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082998"><span class="hs-identifier hs-var">t</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-type">V</span></a></span><span> </span><span id="local-6989586621679082996"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082996"><span class="hs-identifier hs-var">v</span></a></span></span><span> </span><span id="local-6989586621679082995"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082995"><span class="hs-identifier hs-var">vf</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-14"></span><span>  </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082998"><span class="hs-identifier hs-var">t</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082996"><span class="hs-identifier hs-var">v</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; VF -&gt; VF
</span><a href="Features.Verbal.html#norConcord"><span class="hs-identifier hs-var">norConcord</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082999"><span class="hs-identifier hs-var">norF</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082995"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-15"></span><span class="annot"><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var">norAgreement</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082994"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082994"><span class="hs-identifier hs-var">norF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span id="local-6989586621679082993"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082993"><span class="hs-identifier hs-var">t</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-type">V</span></a></span><span> </span><span id="local-6989586621679082992"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082992"><span class="hs-identifier hs-var">v</span></a></span></span><span> </span><span id="local-6989586621679082991"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082991"><span class="hs-identifier hs-var">vf</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-16"></span><span>  </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082993"><span class="hs-identifier hs-var">t</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082992"><span class="hs-identifier hs-var">v</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; VF -&gt; VF
</span><a href="Features.Verbal.html#norConcord"><span class="hs-identifier hs-var">norConcord</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082994"><span class="hs-identifier hs-var">norF</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082991"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-17"></span><span>
</span><span id="line-18"></span><span class="hs-comment">-- | Update verbal constituent to agree with given nork (first)</span><span>
</span><span id="line-19"></span><span class="hs-comment">-- and nor (second) constituent.</span><span>
</span><span id="line-20"></span><span class="annot"><a href="Syntax.VerbalPhrases.html#norNorkAgreement"><span class="hs-identifier hs-type">norNorkAgreement</span></a></span><span> </span><span class="hs-glyph">::</span><span>
</span><span id="line-21"></span><span>  </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-22"></span><span>  </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-23"></span><span>  </span><span class="annot"><a href="Syntax.Constituent.html#VPConstituent"><span class="hs-identifier hs-type">VPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-24"></span><span>  </span><span class="annot"><a href="Syntax.Constituent.html#VPConstituent"><span class="hs-identifier hs-type">VPConstituent</span></a></span><span>
</span><span id="line-25"></span><span id="norNorkAgreement"><span class="annot"><span class="annottext">norNorkAgreement :: NPConstituent -&gt; NPConstituent -&gt; NPConstituent -&gt; NPConstituent
</span><a href="Syntax.VerbalPhrases.html#norNorkAgreement"><span class="hs-identifier hs-var hs-var">norNorkAgreement</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082990"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082990"><span class="hs-identifier hs-var">norkF</span></a></span></span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082989"><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082989"><span class="hs-identifier hs-var">norCons</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#VP"><span class="hs-identifier hs-type">VP</span></a></span><span> </span><span id="local-6989586621679082988"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082988"><span class="hs-identifier hs-var">t</span></a></span></span><span> </span><span id="local-6989586621679082987"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082987"><span class="hs-identifier hs-var">vf</span></a></span></span><span> </span><span id="local-6989586621679082986"><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679082986"><span class="hs-identifier hs-var">cs</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-26"></span><span>  </span><span class="annot"><span class="annottext">NPConstituent -&gt; NPConstituent -&gt; NPConstituent
</span><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var">norAgreement</span></a></span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082989"><span class="hs-identifier hs-var">norCons</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">[Tag] -&gt; VF -&gt; [NPConstituent] -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#VP"><span class="hs-identifier hs-var">VP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082988"><span class="hs-identifier hs-var">t</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; VF -&gt; VF
</span><a href="Features.Verbal.html#norkConcord"><span class="hs-identifier hs-var">norkConcord</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082990"><span class="hs-identifier hs-var">norkF</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082987"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679082986"><span class="hs-identifier hs-var">cs</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-27"></span><span class="annot"><a href="Syntax.VerbalPhrases.html#norNorkAgreement"><span class="hs-identifier hs-var">norNorkAgreement</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082984"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082984"><span class="hs-identifier hs-var">norkF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082983"><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082983"><span class="hs-identifier hs-var">norCons</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#VP"><span class="hs-identifier hs-type">VP</span></a></span><span> </span><span id="local-6989586621679082982"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082982"><span class="hs-identifier hs-var">t</span></a></span></span><span> </span><span id="local-6989586621679082981"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082981"><span class="hs-identifier hs-var">vf</span></a></span></span><span> </span><span id="local-6989586621679082980"><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679082980"><span class="hs-identifier hs-var">cs</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-28"></span><span>  </span><span class="annot"><span class="annottext">NPConstituent -&gt; NPConstituent -&gt; NPConstituent
</span><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var">norAgreement</span></a></span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082983"><span class="hs-identifier hs-var">norCons</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">[Tag] -&gt; VF -&gt; [NPConstituent] -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#VP"><span class="hs-identifier hs-var">VP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082982"><span class="hs-identifier hs-var">t</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; VF -&gt; VF
</span><a href="Features.Verbal.html#norkConcord"><span class="hs-identifier hs-var">norkConcord</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082984"><span class="hs-identifier hs-var">norkF</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082981"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679082980"><span class="hs-identifier hs-var">cs</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-29"></span><span class="annot"><a href="Syntax.VerbalPhrases.html#norNorkAgreement"><span class="hs-identifier hs-var">norNorkAgreement</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082979"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082979"><span class="hs-identifier hs-var">norkF</span></a></span></span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082978"><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082978"><span class="hs-identifier hs-var">norCons</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span id="local-6989586621679082977"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082977"><span class="hs-identifier hs-var">t</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-type">V</span></a></span><span> </span><span id="local-6989586621679082976"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082976"><span class="hs-identifier hs-var">v</span></a></span></span><span> </span><span id="local-6989586621679082975"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082975"><span class="hs-identifier hs-var">vf</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-30"></span><span>  </span><span class="annot"><span class="annottext">NPConstituent -&gt; NPConstituent -&gt; NPConstituent
</span><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var">norAgreement</span></a></span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082978"><span class="hs-identifier hs-var">norCons</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082977"><span class="hs-identifier hs-var">t</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082976"><span class="hs-identifier hs-var">v</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; VF -&gt; VF
</span><a href="Features.Verbal.html#norkConcord"><span class="hs-identifier hs-var">norkConcord</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082979"><span class="hs-identifier hs-var">norkF</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082975"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-31"></span><span class="annot"><a href="Syntax.VerbalPhrases.html#norNorkAgreement"><span class="hs-identifier hs-var">norNorkAgreement</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082974"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082974"><span class="hs-identifier hs-var">norkF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082973"><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082973"><span class="hs-identifier hs-var">norCons</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span id="local-6989586621679082972"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082972"><span class="hs-identifier hs-var">t</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#V"><span class="hs-identifier hs-type">V</span></a></span><span> </span><span id="local-6989586621679082971"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082971"><span class="hs-identifier hs-var">v</span></a></span></span><span> </span><span id="local-6989586621679082970"><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082970"><span class="hs-identifier hs-var">vf</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-32"></span><span>  </span><span class="annot"><span class="annottext">NPConstituent -&gt; NPConstituent -&gt; NPConstituent
</span><a href="Syntax.VerbalPhrases.html#norAgreement"><span class="hs-identifier hs-var">norAgreement</span></a></span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082973"><span class="hs-identifier hs-var">norCons</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082972"><span class="hs-identifier hs-var">t</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082971"><span class="hs-identifier hs-var">v</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; VF -&gt; VF
</span><a href="Features.Verbal.html#norkConcord"><span class="hs-identifier hs-var">norkConcord</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082974"><span class="hs-identifier hs-var">norkF</span></a></span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="#local-6989586621679082970"><span class="hs-identifier hs-var">vf</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-33"></span></pre></body></html>